.warning {
  border-radius: 5px;
  @include font(14px, null, null);
  color: #989898;
  &__wrapper {
    padding: 30px;
    @include position(relative);
  }
  &__title {
    @include font(initial, 700);
    margin: 0 0 10px;
  }
  &__text {
    margin: 0 0 20px;
    &:last-child {
      margin: 0;
    }
    &:only-child {
      margin: 0;
    }
  }
  &.red {
    border: 1px solid $red;
  }
  &.green {
    border: 1px solid $green;
  }
  &.blue {
    border: 1px solid $blue;
  }
  &.yellow {
    border: 1px solid $yellow;
    .warning__icon {
      @include size(35px, 30px);
      background-image: url(/lk/static/img/messages/warning.png);
      background-repeat: no-repeat;
      background-size: 35px auto;
    }
  }
  &.left {
    .warning__icon {
      @include position(absolute, $c: (top: 25px, left: 30px));
    }
  }
}

@media #{$desktop} {
  .warning {
    &.left {
      .warning__wrapper {
        padding: 30px 30px 30px 95px;
      }
      .warning__icon {
        @include position(absolute, $c: (top: 25px, left: 30px));
      }
    }
  }
}

@media #{$laptop} {
  .warning {
    &.left {
      .warning__wrapper {
        padding: 30px 30px 30px 95px;
      }
      .warning__icon {
        @include position(absolute, $c: (top: 25px, left: 30px));
      }
    }
  }
}

@media #{$laptop} {
  .warning {
    &.left {
      .warning__wrapper {
        padding: 30px 30px 30px 95px;
      }
      .warning__icon {
        @include position(absolute, $c: (top: 25px, left: 30px));
      }
    }
  }
}

@media #{$tablet} {
  .warning {
    &.left {
      .warning__wrapper {
        padding: 30px 30px 30px 95px;
      }
      .warning__icon {
        @include position(absolute, $c: (top: 25px, left: 30px));
      }
    }
  }
}

@media #{$mobile} {
  .warning {
    &__title {
      text-align: center;
    }
    &__text {
      text-align: center;
    }
    &.left {
      .warning__wrapper {
        padding: 20px;
      }
      .warning__icon {
        display: none;
      }
    }
  }
}
